/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

/* Hide header/footer in maintenance */

.elementor-maintenance-mode .elementor-location-header, .elementor-maintenance-mode .elementor-location-footer {
	display: none;
}

/* Color selection and set standard QOL for texts */
p::selection, div::selection, li::selection, em::selection, u::selection, a::selection, h1::selection, h2::selection, h3::selection, h4::selection, h5::selection, strong::selection, br::selection, span::selection {
background: #79AB8F !important;
color: #ffffff !important;
}

h1, h2, h3, h4, h5, h6 {
hyphens: none;
word-wrap: break-word;
overflow-wrap: break-word;
line-break: strict;
-webkit-hyphens: auto; /* Support for older WebKit browsers */
-ms-hyphens: auto; /* Support for older Microsoft browsers */
}

/* Button hover effect for desktop */

button, .btn, .elementor-button, .image-button-box .elementor-image-box-title {
	transition: all 0.3s ease-in-out;
}

button:hover, .btn:hover, .elementor-button:hover, .image-button-box .elementor-image-box-title:hover {
	transform: scale(1.1);
}

/* Hide JetForm fields when success message exists */
.hide-on-success:has(.jet-form-builder-message--success) 
.jet-form-builder {
  display: none;
}

/* The download image links */

.image-button-box {
	max-width: 140px !important;
}

.image-button-box .elementor-image-box-title {
	background-color: var(--e-global-color-secondary);
    color: var(--e-global-color-primary);
	padding: 12px 24px;
	font-size: 20px;
	display:inline-block;
	border-radius: 5px;
}

.image-button-box .elementor-image-box-title:hover {
	background-color: var(--e-global-color-primary);
    color: var(--e-global-color-secondary);
}

.image-button-box .elementor-image-box-content {
	display:inline-block;
	width:auto;
}

.image-button-box .elementor-image-box-wrapper {
	display:flex;
	flex-direction:column;
	align-items: center;
}

.square-box, .square-box img {
	aspect-ratio: 1/1;
	object-fit: cover;
	max-width: 100%;
	border-radius: 10px;
}

/* Arrow-after icon effect */

.arrow-after::after {
	content:"";
	position: absolute;
	height: 50px;
	width: 50px;
	background-image: url('https://granbypack.dk/wp-content/uploads/arrow.svg');
	background-size: contain;
	background-repeat:no-repeat;
	right:-36px;
	top: 40px;
}

/* Sticky header */

#sticky-header-area {
    position: relative;
    width: 100%;
    transition: all 0.3s ease;
}

/* Sticky state (hidden initially so we can slide it down) */
#sticky-header-area.sticky {
    position: fixed;
    top: -80px; /* start offscreen */
    left: 0;
    right: 0;
    z-index: 9999;
    background: var( --e-global-color-primary );
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    transition: top 0.3s ease;
}

#sticky-header-area.sticky.visible {
    top: 0px; /* slide into view */
}

.logged-in #sticky-header-area.sticky.visible {
    top: 32px; /* fix for logged-in */
}

/* Image boxes with material symbols */

.image-box-material h3 {
	margin-top: 30px;
}

/* Funky slideshow */

.loesninger-slideshow .swiper-slide {
	transition: all .5s ease-in-out;
}

.loesninger-slideshow .swiper-slide-prev {
	transform: scale(0.8) translateX(10%) !important;
	opacity: 0.5 !important;
}

.loesninger-slideshow .swiper-slide-next {
	transform: scale(0.8) translateX(-10%) !important;
	opacity: 0.5 !important;
}

li.current-menu-parent {
	background-color: var( --e-global-color-d03aafa );
}

.jet-mobile-menu__after-template {
	margin-top: auto !important;
}

/* TranslatePress modal */

.trp_ald_modal {
	background-color: var( --e-global-color-d03aafa ) !important;
	border-radius: 25px !important;
}

#trp_ald_popup_change_language {
	background-color: var(--e-global-color-secondary);
    color: var(--e-global-color-primary);
    border-radius: 5px 5px 5px 5px;
	padding: 12px 24px;
	transition: all .3s ease-in-out;
	font-weight: 700;
	border: initial !important;
}

#trp_ald_popup_change_language:hover {
	background-color: var(--e-global-color-primary) !important;
    color: var(--e-global-color-text) !important;
	transform: scale(1.1);
}

#trp_ald_x_button_textarea {
	color: var(--e-global-color-text) !important;
}

#trp_ald_x_button {
	display: none !important;
}

#trp_ald_modal_popup {
	border: initial !important;
	box-shadow: initial !important;
	display: flex;
	flex-direction:column;
	align-items: center;
	top: 50% !important;
    transform: translateY(-50%);
}

#trp_ald_modal_container {
	background-color: rgba(0,0,0,0.8);
}

/* TranslatePress footer shortcode */
.trp-shortcode-switcher {
	background-color: unset !important;
	border: 0px solid var(--e-global-color-primary) !important;
}

.trp-language-item {
	padding: 7px 0px !important;
}

.trp-language-item-name  {
	font-weight: 500 !important;
	font-size: 20px !important;
}

.tpr-flag-image {
	min-width: 22px !important;
    margin-bottom: -2px !important;
}

@media screen and (max-width: 768px) {
	.arrow-after {
		margin-bottom: 60px !important;
	}
	.arrow-after::after {
		left: calc(50% - 25px);
		right: initial !important;
		top: initial !important;
		bottom: -80px;
		transform: rotate(90deg);
		background-position: center;
	}
}